<?php




define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Трансферы'; require_once("../incfiles/core.php");
require_once("manfunc.php"); require_once("../incfiles/head.php");
switch($act){
default:
 $gconf=mysql_fetch_array(mysql_query("SELECT * FROM `manager`"));
if($gconf[0]['open']!=1){
$q=mysql_query("select * from fman_players where trans=1 order by trans_time asc limit $start,$kmess;");
echo"<h2 align='center'>Трансферы</h2>";
$qr=mysql_query("SELECT COUNT(*) FROM `fman_players` WHERE `trans`='1';");
$total=mysql_result($qr,0);
if ($total > $kmess) {
echo '<div class="topmenu">' . functions::display_pagination('trans.php?', $start, $total, $kmess) . '</div>';}
while($a=mysql_fetch_array($q)){
if(!$a[team_id] || $a[team_id]!=$club_id){
echo"<div class='menu'><a href='player.php?id=$a[id]'>$a[name]</a> (".strtr($a[ampl],array(1=>'В',2=>'ЛЗ',3=>'ЦЗ',4=>'ПЗ',5=>'ОП',6=>'ЛП',7=>'ЦП',8=>'ПП',9=>'АП',10=>'Н')).")<br/>";
if($a[team_id]){
$qt=mysql_query("select name from fman_clubs where id=$a[team_id];");
$tdata=mysql_fetch_array($qt);
echo"Клуб: <a href='club.php?id=$a[team_id]'>$tdata[name]</a><br/>";}
echo"<div>до ".functions::display_date($a[trans_time])."</div>
<div>Ставка: $".number_format($a[cena],0,'.',' ')."";
if($a[zarplat]){
$qw=mysql_query("select * from fman_clubs where id=$a[zarplat];");
$wd=mysql_fetch_array($qw);
if($a[zarplat]!=$club_id)echo" [<a href='club.php?id=$a[zarplat]'>$wd[name]</a>]"; else echo" [<b>$wd[name]</b>]";}
echo"</div>";
echo"<div class='sub'>
опыт $a[ball], форма ($a[forma]/10), уст ($a[ust]/10), наст ($a[nast]/10), травма $a[travm]<br/>талант ($a[rait]/20), скор ($a[u]/20), вынос ($a[vyn]/20), дриб ($a[drib]/20), пас ($a[pas]/20), иг.голов ($a[ig]/20), отбор ($a[otb]/20), прием ($a[priem]/20), сила.уд ($a[f]/20), точ.уд ($a[toch]/20), врат ($a[gk]/20)</div>";
echo"</div>";}}
echo '<div class="bmenu">Всего: ' . $total . '</div>';
if ($total > $kmess) {
echo '<div class="topmenu">' . functions::display_pagination('trans.php?', $start, $total, $kmess) . '</div>' .
'<form action="trans.php?" method="post"><p>' .
'<input type="text" name="page" size="2"/>' .
'<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
'</p></form>';}
}else{echo '<div class="msg">Трансфер закрыт администратором!</div>';};
break;

case 'buy':
$qms=mysql_query("select id from fman_matches where time<$realtime and end=0;");
if($qms)$cums=mysql_num_rows($qms);
if(!$cums){
echo"<h2 align='center'>Покупка</h2>";
$q=mysql_query("select * from fman_players where id=$id;");
$a=mysql_fetch_array($q);
if($dataclub[budj]<$a[cena])echo"<div class='menu'>У вас недостаточно средств для покупки этого игрока!</div>";

if($dataclub[buy_count]>=2)echo"<div class='menu'>В одну виртуальную неделю можно покупать не более 2-х игроков!</div>";
if($club_id && $dataclub[budj]>=$a[cena] && $a[trans]==1 && $dataclub[buy_count]<2){
if(!$_GET[yes]){
echo"<div class='menu'>Вы уверены, что хотите купить игрока <a href='player.php?id=$a[id]'>$a[name]</a>? Это обойдётся вам в <b>$".$a[cena]."</b>.<br/>
<form action='trans.php?id=$id&amp;act=buy&amp;yes=yes' method='post'>
<input type='submit' value='Купить'/></form></div>";}else{mysql_query("update `fman_players` set `team_id`='$club_id', `trans`='0', `cena`='0' where `id`='$id'");
$s1=$dataclub[budj]-$a[cena]; $j1=$dataclub[buy_count]+1;
mysql_query("update `fman_clubs` set `budj`='$s1', buy_count='$j1' where `id`='$club_id'");


if($a[team_id]){
$qt=mysql_query("select * from fman_clubs where id=$a[team_id];");
$tdata=mysql_fetch_array($qt);
zamena($tdata,$a);
$qu=mysql_query("select name from users where id=$tdata[user_id];");
$udata=mysql_fetch_array($qu);
$s2=$tdata[budj]+$a[cena];
mysql_query("update `fman_clubs` set `budj`='$s2' where `id`='$a[team_id]'");
$text='Игрок <b>'.$a[name].'</b> перешел из вашей команды в <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> за <b>$'.$a[cena].'</b>';
mysql_query("insert into `privat` set `user`='$udata[name]', `text`='$text', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='".$a[name]." покинул команду'");}
mysql_query("insert into fman_news set time=$realtime, pl_id=$a[id], name='$a[name]', id1='$a[team_id]', id2=$club_id, cena='$a[cena]'");
echo"<div class='menu'>Вы купили игрока $a[name] за $".$a[cena]."!</div>
<div class='phdr'><a href='list-of-players.php?id=$club_id'>Список игроков моей команды</a></div>";
}}
echo"<div class='phdr'><a href='trans.php'>Трансферы</a></div>";}else echo"<div class='menu'>Запрещено осуществлять операции на трансферном рынке в то время, когда идут матчи. Дождитесь их окончания.</div>";
break;
}




echo"<div class='phdr'><a href='index.php'>Фут.менеджер</a></div>";
require_once("../incfiles/end.php"); ?>
